<template>
    <div class="relative mx-auto account-container">
        <el-tabs v-model="accountActiveTab" class="demo-tabs --text4">
            <el-tab-pane :disabled="shouldChangePassword" name="account">
                <template #label>
                    <nuxt-link :to="getLink(ROUTES.ACCOUNT.INFO)" class="py-4">{{
                        $t("account_information")
                    }}</nuxt-link>
                </template>
            </el-tab-pane>
            <el-tab-pane name="account-password">
                <template #label>
                    <nuxt-link :to="getLink(ROUTES.ACCOUNT.PASSWORD)" class="py-4">{{
                        $t("password")
                    }}</nuxt-link>
                </template>
            </el-tab-pane>
        </el-tabs>
        <el-scrollbar height="664px">
            <lazy-theme-common-desktop-account-information v-if="route.fullPath === getLink(ROUTES.ACCOUNT.INFO)" />
            <lazy-theme-common-desktop-account-password v-if="route.fullPath === getLink(ROUTES.ACCOUNT.PASSWORD)" />
        </el-scrollbar>
    </div>
</template>
  
<script lang="ts" setup>
import { computed, defineComponent } from "vue";
import { store } from "@/store";
const route = useRoute();
const isUCPopup = computed(() => route.fullPath.includes("uc=/"));
const accountActiveTab = ref(() => String(route.name));

const shouldChangePassword = computed(() => store.state.auth && store.state.isPasswordExpired);
const getLink = (link: string) => {
    if (isUCPopup.value) return `${route.path}?uc=${link}`;
    return link;
}
onBeforeMount(()=> {
    if (route.fullPath.includes(ROUTES.ACCOUNT.PASSWORD)) {
        accountActiveTab.value = 'account-password';
        return;
    }
    if (route.fullPath.includes(ROUTES.ACCOUNT.INFO)) {
        accountActiveTab.value = 'account';
    }
})

</script>
<style>
.el-tabs__item.is-disabled:hover,
.el-tabs__item.is-disabled:focus,
.el-tabs__item.is-disabled:active {
    color: var(--el-disabled-text-color);
    cursor: not-allowed;
}
</style>
<style lang="scss" scoped>
.account-container[theme="desktop/sbo"] {
    background: var(--background1, white);
}
</style>
  